%global npm_name invert-kv

Summary:       Invert the key/value of an object
Name:          nodejs-%{npm_name}
Version:       1.0.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/sindresorhus/invert-kv
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Invert the key/value of an object.
Example: {foo: 'bar'} → {bar: 'foo'}

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial package
